# Class: TopLevelComponent

## TopLevelComponent()

Top-level component which manages the display of the entire game.

## Constructor

#### new TopLevelComponent()

Source:
  - frontend/src/components/TopLevel.component.js, line 29

### Extends

- Component

### Members

#### current_route :string

The currently loaded page route.

##### Type:

- string

Source:
  - frontend/src/components/TopLevel.component.js, line 38

#### navbar_items :Array.<object>

Array of navigation bar items where "title" is the page name, and "page" is the page route.

##### Type:

- Array.<object>

Source:
  - frontend/src/components/TopLevel.component.js, line 44

### Methods

#### (async) on_route_change(path, args) → {Promise.<void>}

Called when the navigation changes.

##### Parameters:

Name | Type | Description
--- | --- | ---
`path` | string |
`args` | * |

Source:
  - frontend/src/components/TopLevel.component.js, line 95

##### Returns:

Type
  Promise.<void>

#### (async) vue_on_create() → {Promise.<void>}

Called when the component is initialized.

Source:
  - frontend/src/components/TopLevel.component.js, line 58

##### Returns:

Type
  Promise.<void>

#### (async) vue_on_destroy() → {Promise.<void>}

Called when the component is destroyed.

Source:
  - frontend/src/components/TopLevel.component.js, line 84

##### Returns:

Type
  Promise.<void>